Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Static Public Member Functions | Static Public Attributes
tlp::ExportModuleFactory Class Reference
Plugins

`#include <ExportModule.h>`

Inheritance diagram for tlp::ExportModuleFactory:
[legend]
Collaboration diagram for tlp::ExportModuleFactory:
[legend]

List of all members.

## Public Member Functions

- virtual ~ExportModuleFactory ()
- virtual ExportModule * createPluginObject (AlgorithmContext)=0
- virtual std::string getMajor () const
    Only the major of the plug-in version. A version should be X.Y, X being the major.
- virtual std::string getMinor () const
    Only the minor of the plug-in version. A version should be X.Y, Y being the major.
- virtual std::string getTulipMajor () const
- virtual std::string getTulipMinor () const

## Static Public Member Functions

- static void initFactory ()

## Static Public Attributes

- static TLP_SCOPE
  TemplateFactory
  < ExportModuleFactory,
  ExportModule, AlgorithmContext > * factory

## Constructor & Destructor Documentation

virtual tlp::ExportModuleFactory::~ExportModuleFactory | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual ExportModule* tlp::ExportModuleFactory::createPluginObject | ( | AlgorithmContext |  | ) | `[pure virtual]`

virtual std::string tlp::ExportModuleFactory::getMajor | ( |  | ) | const`[inline, virtual]`

Only the major of the plug-in version. A version should be X.Y, X being the major.

Returns:
  The major part of the plug-in version.

Implements tlp::PluginInfoInterface.

virtual std::string tlp::ExportModuleFactory::getMinor | ( |  | ) | const`[inline, virtual]`

Only the minor of the plug-in version. A version should be X.Y, Y being the major.

Returns:
  The minor part of the plug-in version.

Implements tlp::PluginInfoInterface.

virtual std::string tlp::ExportModuleFactory::getTulipMajor | ( |  | ) | const`[inline, virtual]`

Returns:
  The major Tulip version the plug-in was built with.

Implements tlp::PluginInfoInterface.

virtual std::string tlp::ExportModuleFactory::getTulipMinor | ( |  | ) | const`[inline, virtual]`

Returns:
  Return the minor Tulip version this plug-in was built with.

Implements tlp::PluginInfoInterface.

static void tlp::ExportModuleFactory::initFactory | ( |  | ) | `[inline, static]`

## Member Data Documentation

TLP_SCOPE TemplateFactory<ExportModuleFactory,ExportModule,AlgorithmContext >* tlp::ExportModuleFactory::factory`[static]`

Tulip Software by LaBRI Visualization Team 2001 - 2012